Package fr.gouv.vitam.worker.core.plugin

# Class MapOfObjects

java.lang.Object
fr.gouv.vitam.worker.core.plugin.MapOfObjects

public class MapOfObjects extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MapOfObjects()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getBinaryObjectsToStore()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getJsonOG()`
  `Map<String,com.fasterxml.jackson.databind.JsonNode>`
  `getObjectJsonMap()`
  `Map<String,com.fasterxml.jackson.databind.JsonNode>`
  `getObjectStorageInfos()`
  `void`
  `setBinaryObjectsToStore(Map<String,String> binaryObjectsToStore)`
  `void`
  `setJsonOG(com.fasterxml.jackson.databind.JsonNode jsonOG)`
  `void`
  `setObjectJsonMap(Map<String,com.fasterxml.jackson.databind.JsonNode> objectJsonMap)`
  `void`
  `setObjectStorageInfos(Map<String,com.fasterxml.jackson.databind.JsonNode> objectStorageInfos)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MapOfObjects

    public MapOfObjects()

- ## Method Details

  - ### getJsonOG

    public com.fasterxml.jackson.databind.JsonNode getJsonOG()

  - ### setJsonOG

    public void setJsonOG(com.fasterxml.jackson.databind.JsonNode jsonOG)

  - ### getObjectJsonMap

    public Map<String,com.fasterxml.jackson.databind.JsonNode> getObjectJsonMap()

  - ### setObjectJsonMap

    public void setObjectJsonMap(Map<String,com.fasterxml.jackson.databind.JsonNode> objectJsonMap)

  - ### getBinaryObjectsToStore

    public Map<String,String> getBinaryObjectsToStore()

  - ### setBinaryObjectsToStore

    public void setBinaryObjectsToStore(Map<String,String> binaryObjectsToStore)

  - ### getObjectStorageInfos

    public Map<String,com.fasterxml.jackson.databind.JsonNode> getObjectStorageInfos()

  - ### setObjectStorageInfos

    public void setObjectStorageInfos(Map<String,com.fasterxml.jackson.databind.JsonNode> objectStorageInfos)